## gcc-15-cross 12ubuntu2

=== debian/changelog ===
gcc-15-cross (12ubuntu2) resolute; urgency=medium

  * Build using gcc 15.2.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Oct 2025 17:44:47 +0200
