=== debian/control ===
Source: gcc-15-cross
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: gcc-15-source (>= 15.2.0-6~),
  gcc-15-base (>= 15.2.0-6~),
  binutils-multiarch (>= 2.45-5),
  autoconf2.69, bison (>= 1:2.3),
  chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-x86-64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.45-5) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-powerpc-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.45-5) [amd64 arm64 ppc64el s390x x32],
  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-powerpc-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-ppc64-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
  libisl-dev (>= 0.26-3~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-15,
  gccgo-15,
  gdc-15,
  gm2-15 [!powerpc !ppc64 !x32],
  gnat-15 [!m32r !sh3 !sh3eb !sh4eb],
  gcobol-15 [!alpha !arc !armel !armhf !hppa !i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !ppc64el !riscv64 !s390x !sh4 !sparc !sparc64 !x32],
  ga68-15,
  xz-utils, zlib1g-dev, libzstd-dev, python3, time,
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git
Rules-Requires-Root: binary-targets

Package: gcc-15-cross-base
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-15-x86-64-linux-gnu-base
Architecture: arm64 i386 ppc64el s390x x32
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1-amd64-cross
Architecture: all
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc-s1-amd64-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libgcc-15-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-15 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libgcc-s1-dbg-amd64-cross
Architecture: all
Section: debug
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), libgcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: lib32gcc-s1-amd64-cross
Architecture: all
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Provides: lib32gcc-s1-amd64-dcv1
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: lib32gcc-15-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-15-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-s1-dbg-amd64-cross
Architecture: all
Section: debug
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), lib32gcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libx32gcc-s1-amd64-cross
Architecture: all
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Provides: libx32gcc-s1-amd64-dcv1
Description: GCC support library (x32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: libx32gcc-15-dev-amd64-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-15-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-s1-dbg-amd64-cross
Architecture: all
Section: debug
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), libx32gcc-s1-amd64-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for amd64 architecture, for use in cross-compile
 environment.

Package: gcc-15-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), cpp-15-x86-64-linux-gnu (= ${gcc:Version}), binutils-x86-64-linux-gnu (>= ${binutils:Version}), libgcc-15-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-15-doc (>= ${gcc:SoftVersion}), gcc-15-locales (>= ${gcc:SoftVersion}), libgcc-s1-dbg-amd64-cross, libgomp1-dbg-amd64-cross, libitm1-dbg-amd64-cross, libatomic1-dbg-amd64-cross, libtsan2-dbg-amd64-cross, libbacktrace1-dbg-amd64-cross, libquadmath-dbg-amd64-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-x86-64-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for amd64 architecture.

Package: gcc-15-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-15-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: gcc-15-plugin-dev-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-15-x86-64-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-15-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-15-locales (>= ${gcc:SoftVersion})
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for amd64 architecture.

Package: g++-15-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), gcc-15-x86-64-linux-gnu (= ${gcc:Version}), libstdc++-15-dev-amd64-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-x86-64-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-15-doc (>= ${gcc:SoftVersion}), libstdc++6-15-dbg-amd64-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for amd64 architecture.

Package: g++-15-multilib-x86-64-linux-gnu
Architecture: arm64 i386 ppc64el s390x x32
Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), g++-15-x86-64-linux-gnu (= ${gcc:Version}), gcc-15-multilib-x86-64-linux-gnu (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files)
