## gcc-15-cross 12ubuntu3

=== debian/changelog ===
gcc-15-cross (12ubuntu3) resolute; urgency=medium

  * Build using gcc 15.2.0-7ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Oct 2025 10:08:17 +0000
