## gcc-15-cross 13

=== debian/changelog ===
gcc-15-cross (13) unstable; urgency=medium

  * Build using gcc 15.2.0-13.
  * Build liblsan and libtsan packages for s390x.
  * Stop building s390x multilib packages.
  * Bump standards version.
  * Fix building on architecture variants.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Feb 2026 15:32:27 +0100
