## gcc-15-cross 13ubuntu1

=== debian/changelog ===
gcc-15-cross (13ubuntu1) resolute; urgency=medium

  * Build using gcc 15.2.0-13ubuntu1.
  * Stop building packages now built by GCC 16.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Feb 2026 13:35:49 +0100
