=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
   binutils-multiarch (>= 2.45-5),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
-  gperf (>= 3.0.1), 
-  binutils-x86-64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.45-5) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.45-5) [amd64 arm64 ppc64el s390x x32],
-  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32],
-  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
+  gperf (>= 3.0.1), lib32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libx32gcc-s1-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], lib64gcc-s1-i386-cross [amd64 arm64 ppc64el s390x x32], libx32gcc-s1-i386-cross [amd64 arm64 ppc64el s390x x32], lib64gcc-s1-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
+  binutils-x86-64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-aarch64-linux-gnu (>= 2.45-5) [amd64 i386 x32 ppc64el s390x], binutils-s390x-linux-gnu (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el], binutils-powerpc64le-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64 s390x x32], binutils-arm-linux-gnueabihf (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el s390x], binutils-riscv64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-powerpc-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-i686-linux-gnu (>= 2.45-5) [amd64 arm64 ppc64el s390x x32],
+  libc6-dev-amd64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-arm64-cross (>= 2.37) [amd64 i386 x32 ppc64el s390x], libc6-dev-s390x-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-ppc64el-cross (>= 2.37) [amd64 arm64 i386 ppc64 s390x x32], libc6-dev-armhf-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el s390x], libc6-dev-riscv64-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-powerpc-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-i386-cross (>= 2.37) [amd64 arm64 ppc64el s390x x32], libc6-dev-i386-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-amd64-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-x32-i386-cross [amd64 arm64 ppc64el s390x x32], libc6-dev-ppc64-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
+  linux-libc-dev-amd64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-arm64-cross [amd64 i386 x32 ppc64el s390x], linux-libc-dev-s390x-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-ppc64el-cross [amd64 arm64 i386 ppc64 s390x x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64 ppc64el s390x], linux-libc-dev-riscv64-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-i386-cross [amd64 arm64 ppc64el s390x x32],
   libisl-dev (>= 0.26-3~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   dwz, pkg-config, libgc-dev,
@@ -48,18 +48,6 @@
  This package contains files common to all languages and libraries
  contained in the GNU Compiler Collection (GCC).
 
-Package: libgcc-s1-amd64-cross
-Architecture: all
-Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: libgcc-s1-amd64-dcv1
-Description: GCC support library
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: libgcc-15-dev-amd64-cross
 Architecture: all
 Section: libdevel
@@ -70,19 +58,6 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
-Package: lib32gcc-s1-amd64-cross
-Architecture: all
-Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
-Conflicts: ${confl:lib32}
-Provides: lib32gcc-s1-amd64-dcv1
-Description: GCC support library (32 bit Version)
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
-
 Package: lib32gcc-15-dev-amd64-cross
 Architecture: all
 Section: libdevel
@@ -92,18 +67,6 @@
 Description: GCC support library (32 bit development files)
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
-
-Package: libx32gcc-s1-amd64-cross
-Architecture: all
-Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
-Provides: libx32gcc-s1-amd64-dcv1
-Description: GCC support library (x32)
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
- .
- This package contains files for amd64 architecture, for use in cross-compile
- environment.
 
 Package: libx32gcc-15-dev-amd64-cross
 Architecture: all
@@ -176,30 +139,46 @@
  On architectures with multilib support, the package contains files
  and dependencies for the non-default multilib architecture(s).
 
-Package: libgomp1-amd64-cross
+Package: libasan8-dbg-amd64-cross
 Architecture: all
-Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
+Section: debug
+Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), libasan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: lib32gomp1-amd64-cross
+Package: lib32asan8-dbg-amd64-cross
+Architecture: all
+Section: debug
+Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), lib32asan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (32 bit debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
+
+Package: libx32asan8-amd64-cross
 Architecture: all
 Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ${confl:lib32}
-Description: GCC OpenMP (GOMP) support library (32bit)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
+Description: AddressSanitizer -- a fast memory error detector (x32)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: libx32gomp1-amd64-cross
+Package: libx32asan8-dbg-amd64-cross
 Architecture: all
-Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}, ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library (x32)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
+Section: debug
+Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), libx32asan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (x32 debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
-Package: libitm1-amd64-cross
+Package: libubsan1-dbg-amd64-cross
 Architecture: all
-Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: GNU Transactional Memory Library
- GNU Transactional Memory Library (libitm) provides transaction support for
+Section: debug
+Depends: gcc-15-x86-64-linux-gnu-base (= ${gcc:Version}), libubsan1-amd64-cross (= ${gcc:Version}), ${misc:Depends}
+Description: UBSan -- undefined behaviour sanitizer (debug symbols)
+ UndefinedBehaviorSanitizer can be enabled via -fsanitize=undefined.
+ Various computations will be instrumented to detect undefined behavior
+ at runtime. Available for C and C++.
+
+Package: lib32ubsan1-dbg-amd64-cross
+Architecture: all
+Section: debug
