=== debian/rules ===
--- 
+++ 
@@ -173,7 +173,7 @@
 
 libgcc_source := $(shell apt-cache show --no-all-versions libgcc-s1-arm64-cross | awk '/^Source:/ { print $$2 }')
 #ifneq ($(DEB_NAME_ACT),$(libgcc_source))
-#  skip_common_packages = yes
+  skip_common_packages = yes
 #endif
 
 BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _pkg_gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
